desync(1)

NAME
desync-prune - Remove unreferenced chunks from a store

SYNOPSIS
desync prune <index> [<index>...] [flags]

DESCRIPTION
Read chunk IDs from index files and delete all chunks from a store that are not referenced in any of the provided index files. This is a destructive operation; a confirmation prompt is shown before any chunks are deleted unless --yes is used. Use '-' to read a single index from STDIN.

OPTIONS
--ca-cert=""
    trust authorities in this file, instead of OS trust store

-r, --cache-repair[=true]
    replace invalid chunks in the cache from source

--client-cert=""
    path to client certificate for TLS authentication

--client-key=""
    path to client key for TLS authentication

-n, --concurrency=10
    number of concurrent goroutines

-e, --error-retry=3
    number of times to retry in case of network error

-b, --error-retry-base-interval=500ms
    initial retry delay, increases linearly with each subsequent attempt

-h, --help[=false]
    help for prune

-s, --store=""
    store to prune

-t, --trust-insecure[=false]
    trust invalid certificates

-y, --yes[=false]
    do not ask for confirmation before deleting chunks

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    config file (default $HOME/.config/desync/config.json)

--digest="sha512-256"
    digest algorithm, sha512-256 or sha256

--verbose[=false]
    verbose mode

EXAMPLE
      desync prune -s /path/to/local --yes file.caibx
      desync prune -s /path/to/local current.caibx previous.caibx

SEE ALSO
desync(1)

HISTORY
6-Sep-2026 Auto generated by spf13/cobra